#pragma once
#include "Entity.h"
#define CS_BUBBLE_CATCHER_CREATENAME L"CS_bubble_catcher"
//²¶»ñÅÝÅÝ
class CS_Bubble_Catcher :
    public Entity
{
public:
    CS_Bubble_Catcher();
    void Step() override;
    void SetState(std::wstring stateName, int lr) override;
    bool bSetTarget = false;
    std::weak_ptr<Entity> target;
    int stateID = 0;
};

std::shared_ptr<Entity> CreateCS_Bubble_Catcher();